> ## Documentation Index
> Fetch the complete documentation index at: https://docs.near.org/llms.txt
> Use this file to discover all available pages before exploring further.

# View Access Key

> Returns information about a single access key for given account.



## OpenAPI

````yaml /openapi.json post /EXPERIMENTAL_view_access_key
openapi: 3.0.0
info:
  title: NEAR Protocol JSON RPC API
  version: 1.2.3
servers:
  - url: https://rpc.mainnet.near.org
    description: Mainnet
  - url: https://rpc.testnet.near.org
    description: Testnet
security: []
paths:
  /EXPERIMENTAL_view_access_key:
    post:
      summary: View Access Key
      description: Returns information about a single access key for given account.
      operationId: EXPERIMENTAL_view_access_key
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/JsonRpcRequest_for_EXPERIMENTAL_view_access_key
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JsonRpcResponse_for_RpcViewAccessKeyResponse_and_RpcViewAccessKeyError
components:
  schemas:
    JsonRpcRequest_for_EXPERIMENTAL_view_access_key:
      properties:
        id:
          type: string
        jsonrpc:
          type: string
        method:
          enum:
            - EXPERIMENTAL_view_access_key
          type: string
        params:
          $ref: '#/components/schemas/RpcViewAccessKeyRequest'
      required:
        - jsonrpc
        - id
        - params
        - method
      title: JsonRpcRequest_for_EXPERIMENTAL_view_access_key
      type: object
    JsonRpcResponse_for_RpcViewAccessKeyResponse_and_RpcViewAccessKeyError:
      oneOf:
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcViewAccessKeyResponse_and_RpcViewAccessKeyError_variant0
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcViewAccessKeyResponse_and_RpcViewAccessKeyError_variant1
      properties:
        id:
          type: string
        jsonrpc:
          type: string
      required:
        - jsonrpc
        - id
      title: JsonRpcResponse_for_RpcViewAccessKeyResponse_and_RpcViewAccessKeyError
      type: object
    RpcViewAccessKeyRequest:
      oneOf:
        - $ref: '#/components/schemas/RpcViewAccessKeyRequest_variant0'
        - $ref: '#/components/schemas/RpcViewAccessKeyRequest_variant1'
        - $ref: '#/components/schemas/RpcViewAccessKeyRequest_variant2'
      properties:
        account_id:
          $ref: '#/components/schemas/AccountId'
        public_key:
          $ref: '#/components/schemas/PublicKey'
      required:
        - account_id
        - public_key
      title: RpcViewAccessKeyRequest
      type: object
    JsonRpcResponse_for_RpcViewAccessKeyResponse_and_RpcViewAccessKeyError_variant0:
      properties:
        result:
          $ref: '#/components/schemas/RpcViewAccessKeyResponse'
      required:
        - result
      type: object
    JsonRpcResponse_for_RpcViewAccessKeyResponse_and_RpcViewAccessKeyError_variant1:
      properties:
        error:
          $ref: '#/components/schemas/ErrorWrapper_for_RpcViewAccessKeyError'
      required:
        - error
      type: object
    RpcViewAccessKeyRequest_variant0:
      properties:
        block_id:
          $ref: '#/components/schemas/BlockId'
      required:
        - block_id
      type: object
    RpcViewAccessKeyRequest_variant1:
      properties:
        finality:
          $ref: '#/components/schemas/Finality'
      required:
        - finality
      type: object
    RpcViewAccessKeyRequest_variant2:
      properties:
        sync_checkpoint:
          $ref: '#/components/schemas/SyncCheckpoint'
      required:
        - sync_checkpoint
      type: object
    AccountId:
      description: >-
        NEAR Account Identifier.


        This is a unique, syntactically valid, human-readable account identifier
        on the NEAR network.


        [See the crate-level docs for information about
        validation.](index.html#account-id-rules)


        Also see [Error kind precedence](AccountId#error-kind-precedence).


        ## Examples


        ```

        use near_account_id::AccountId;


        let alice: AccountId = "alice.near".parse().unwrap();


        assert!("ƒelicia.near".parse::<AccountId>().is_err()); // (ƒ is not f)

        ```
      title: AccountId
      type: string
    PublicKey:
      type: string
    RpcViewAccessKeyResponse:
      description: Describes access key permission scope and nonce.
      properties:
        block_hash:
          $ref: '#/components/schemas/CryptoHash'
        block_height:
          format: uint64
          minimum: 0
          type: integer
        nonce:
          format: uint64
          minimum: 0
          type: integer
        permission:
          $ref: '#/components/schemas/AccessKeyPermissionView'
      required:
        - nonce
        - permission
        - block_height
        - block_hash
      type: object
    ErrorWrapper_for_RpcViewAccessKeyError:
      oneOf:
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcViewAccessKeyError_variant0'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcViewAccessKeyError_variant1'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcViewAccessKeyError_variant2'
    BlockId:
      anyOf:
        - $ref: '#/components/schemas/BlockId_variant0'
        - $ref: '#/components/schemas/CryptoHash'
    Finality:
      description: Different types of finality.
      enum:
        - optimistic
        - near-final
        - final
      type: string
    SyncCheckpoint:
      enum:
        - genesis
        - earliest_available
      type: string
    CryptoHash:
      type: string
    AccessKeyPermissionView:
      description: >-
        Describes the permission scope for an access key. Whether it is a
        function call or a full access key.
      anyOf:
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant0'
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant1'
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant2'
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant3'
    ErrorWrapper_for_RpcViewAccessKeyError_variant0:
      properties:
        cause:
          $ref: '#/components/schemas/RpcRequestValidationErrorKind'
        name:
          enum:
            - REQUEST_VALIDATION_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcViewAccessKeyError_variant1:
      properties:
        cause:
          $ref: '#/components/schemas/RpcViewAccessKeyError'
        name:
          enum:
            - HANDLER_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcViewAccessKeyError_variant2:
      properties:
        cause:
          $ref: '#/components/schemas/InternalError'
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    BlockId_variant0:
      format: uint64
      minimum: 0
      title: block_height
      type: integer
    AccessKeyPermissionView_variant0:
      enum:
        - FullAccess
      type: string
    AccessKeyPermissionView_variant1:
      additionalProperties: false
      properties:
        FunctionCall:
          properties:
            allowance:
              anyOf:
                - $ref: '#/components/schemas/NearToken'
                - enum:
                    - null
                  nullable: true
            method_names:
              items:
                type: string
              type: array
            receiver_id:
              type: string
          required:
            - receiver_id
            - method_names
          type: object
      required:
        - FunctionCall
      type: object
    AccessKeyPermissionView_variant2:
      additionalProperties: false
      properties:
        GasKeyFunctionCall:
          properties:
            allowance:
              anyOf:
                - $ref: '#/components/schemas/NearToken'
                - enum:
                    - null
                  nullable: true
            balance:
              $ref: '#/components/schemas/NearToken'
            method_names:
              items:
                type: string
              type: array
            num_nonces:
              format: uint16
              maximum: 65535
              minimum: 0
              type: integer
            receiver_id:
              type: string
          required:
            - balance
            - num_nonces
            - receiver_id
            - method_names
          type: object
      required:
        - GasKeyFunctionCall
      type: object
    AccessKeyPermissionView_variant3:
      additionalProperties: false
      properties:
        GasKeyFullAccess:
          properties:
            balance:
              $ref: '#/components/schemas/NearToken'
            num_nonces:
              format: uint16
              maximum: 65535
              minimum: 0
              type: integer
          required:
            - balance
            - num_nonces
          type: object
      required:
        - GasKeyFullAccess
      type: object
    RpcRequestValidationErrorKind:
      oneOf:
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant0'
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant1'
    RpcViewAccessKeyError:
      oneOf:
        - $ref: '#/components/schemas/RpcViewAccessKeyError_variant0'
        - $ref: '#/components/schemas/RpcViewAccessKeyError_variant1'
        - $ref: '#/components/schemas/RpcViewAccessKeyError_variant2'
        - $ref: '#/components/schemas/RpcViewAccessKeyError_variant3'
        - $ref: '#/components/schemas/RpcViewAccessKeyError_variant4'
    InternalError:
      oneOf:
        - $ref: '#/components/schemas/InternalError_variant0'
    NearToken:
      type: string
    RpcRequestValidationErrorKind_variant0:
      properties:
        info:
          properties:
            method_name:
              type: string
          required:
            - method_name
          type: object
        name:
          enum:
            - METHOD_NOT_FOUND
          type: string
      required:
        - name
        - info
      type: object
    RpcRequestValidationErrorKind_variant1:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - PARSE_ERROR
          type: string
      required:
        - name
        - info
      type: object
    RpcViewAccessKeyError_variant0:
      properties:
        info:
          properties:
            block_reference:
              $ref: '#/components/schemas/BlockReference'
          required:
            - block_reference
          type: object
        name:
          enum:
            - UNKNOWN_BLOCK
          type: string
      required:
        - name
        - info
      type: object
    RpcViewAccessKeyError_variant1:
      properties:
        info:
          properties:
            block_hash:
              $ref: '#/components/schemas/CryptoHash'
            block_height:
              format: uint64
              minimum: 0
              type: integer
            requested_account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - requested_account_id
            - block_height
            - block_hash
          type: object
        name:
          enum:
            - INVALID_ACCOUNT
          type: string
      required:
        - name
        - info
      type: object
    RpcViewAccessKeyError_variant2:
      properties:
        info:
          properties:
            block_hash:
              $ref: '#/components/schemas/CryptoHash'
            block_height:
              format: uint64
              minimum: 0
              type: integer
            requested_account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - requested_account_id
            - block_height
            - block_hash
          type: object
        name:
          enum:
            - UNKNOWN_ACCOUNT
          type: string
      required:
        - name
        - info
      type: object
    RpcViewAccessKeyError_variant3:
      properties:
        info:
          properties:
            block_hash:
              $ref: '#/components/schemas/CryptoHash'
            block_height:
              format: uint64
              minimum: 0
              type: integer
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - public_key
            - block_height
            - block_hash
          type: object
        name:
          enum:
            - UNKNOWN_ACCESS_KEY
          type: string
      required:
        - name
        - info
      type: object
    RpcViewAccessKeyError_variant4:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    InternalError_variant0:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    BlockReference:
      oneOf:
        - $ref: '#/components/schemas/BlockReference_variant0'
        - $ref: '#/components/schemas/BlockReference_variant1'
        - $ref: '#/components/schemas/BlockReference_variant2'
    BlockReference_variant0:
      additionalProperties: false
      properties:
        block_id:
          $ref: '#/components/schemas/BlockId'
      required:
        - block_id
      type: object
    BlockReference_variant1:
      additionalProperties: false
      properties:
        finality:
          $ref: '#/components/schemas/Finality'
      required:
        - finality
      type: object
    BlockReference_variant2:
      additionalProperties: false
      properties:
        sync_checkpoint:
          $ref: '#/components/schemas/SyncCheckpoint'
      required:
        - sync_checkpoint
      type: object

````